var Tinkerforge = require('tinkerforge');

var HOST = 'localhost';
var PORT = 4223;
var UID = 'XYZ'; // Change XYZ to the UID of your Piezo Speaker Bricklet 2.0

var ipcon = new Tinkerforge.IPConnection(); // Create IP connection
var ps = new Tinkerforge.BrickletPiezoSpeakerV2(UID, ipcon); // Create device object

ipcon.connect(HOST, PORT,
    function (error) {
        console.log('Error: ' + error);
    }
); // Connect to brickd
// Don't use device before ipcon is connected

ipcon.on(Tinkerforge.IPConnection.CALLBACK_CONNECTED,
    function (connectReason) {
        // 10 seconds of loud annoying fast alarm
        ps.setAlarm(800, 2000, 10, 1, 10, 10000);
    }
);

console.log('Press key to exit');
process.stdin.on('data',
    function (data) {
        ipcon.disconnect();
        process.exit(0);
    }
);
